+++ 
title = 'Installing Alpine Linux on an OpenVZ VPS' 
date = 2025-01-16T10:27:28+03:00 
draft = false 
+++

A few months ago I talked about Gullo's hosting, a dirt cheap NAT VPS host that uses OpenVZ. I decided to put the two boxes I bought from them to work by running Yggdrasil nodes. However, I realised that modern Debian just doesn't really run too well on 128mb of ram. As such, I started looking for alternatives, but Gullo only supported Debian, CentOS and Ubuntu! Surely there must be a way to install Alpine, right?
## Yes there is
Using [this simple script](https://gist.github.com/pexcn/dc3ebe60393cc4ede40b30e180d40ac5) you can convert any OpenVZ-based VPS to a little Alpine box.
## Using the script
Using this script is trivially easy. All you must do is download the script and run it as root. Here's a one-liner that does it: `curl https://gist.github.com/pexcn/dc3ebe60393cc4ede40b30e180d40ac5/raw/8c2439d5d583dd40d5af3e570949b9f0974357ba/alpine.sh | sh`
Note that this will erase EVERYTHING from your VPS!
## Conclusion
The script I showed you today is a really handy one, but I still yearn for the day Gullos will support Alpine out of the box.