---
title: "Projects (& Ideas)"
---
## Curretly functioning projects
* **IkarusBot**  
  IkarusBot is a Discord (yes I know Discord is le bad) bot which uses the [TPBI API](https://mo-bi.ro/) in order to fetch vehicle positions via their inventory number (& license plate).
  * Source code: https://code.be4.pw/fzorb/ikarusbot
  * Invite it to your Discord guild: https://discord.com/oauth2/authorize?client_id=1326431752234733649
  * Written in PHP (for the memes)
* **Cogsuite**  
  Cogsuite is a (badly written but whatever) suite of programs made to scrape Discord servers. This uses sqlite, and sqlite isn't that great on large deployments, but I am considering moving to something like Couchbase or a more serious database in the future. Not now though.
  * [Coglog](https://code.be4.pw/fzorb/coglog) - the actual workhorse, handles logging.
  * [Cogsee](https://code.be4.pw/fzorb/cogsee) - database viewer, accepts raw SQL queries, but nothing is written to the database.
## Ideas
*No, these **probably** won't become a reality, and I am only putting these out here if anyone else wants to do them (and also to keep track of these). I will probably do some of these when I am finally done with my exams.*
* **Minecraft legacy version (i.e. beta) servers**  
  I have always been a bit intrigued by older versions of Minecraft and I have to say I quite enjoy them. Here are some server ideas I have thought of:
  * **An actual anarchy server**: no plugins (other than AuthMe) and no dupe protection. Very little admin involvement unless necesarry (i.e. in case of something illegal going on). 
  * **Some sort of towny server**: complete opposite compared to the last one. Towny plugin with some sort of economy mod. Maybe even an earth map.
    * **Earth map for old beta versions**: Just take the maximum altitudes of coordinates from [OpenStreetMap](https://wiki.openstreetmap.org/wiki/Altitude) and place dirt (and stone) appropriately
  * **A reimplementation of the Minecraft Beta 1.2_02 server**: You get the idea.
* **An open source brickbuilding game**:  
  I have been fascinated ever since I was a child by Sandbox games, and as such I wish to make my own rendition of such a game. My inspiration for this project is Blockland. The main project goal is to make it kind of like Minetest, in the sense that it will be an engine and not a fully fledged game (i.e. you can make your own minigames easily).
* **A way to play GB/GBC/GBA/etc. games via Discord**:  
  [Inspired by this Junferno video](https://inv.vy.ci/watch?v=Hjdl-e27n_Y&t=370), I have been thinking of making a way to play video games via Discord. I think it would be funny to play Super Mario via Discord.
* **Free Tor/I2P/Yggdrasil mirroring service**:  
  Mirror clearnet websites to Tor/I2P/Yggdrasil. Basically, all you need to do is prove that you are the owner of a website (via DNS or a .well-known file) and you can get a free I2P/Tor/Yggdrasil mirror. Legal implications and privacy concerns make this project a huge undertaking, as we're essentially becoming the exit node of a lot of people and with great power comes great responsibility (and abuse reports).
* **A wiki website containing guides on setting up servers and other stuff**: Self explanatory -- kind of like a bigger version of https://wiki.installgentoo.com/wiki/Home_server
* **Nostr imageboard**  
  Nostr relay/client with an imageboard UI, probably will be written in something like Elixir. Already started working on something like this. Spam will certainly be a huge problem though.